/*
 *  ./acpica/control/system/pmtimer.c - <TBD>
 *
 *  Copyright (C) 2000 R. Byron Moore
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#define __PMTIMER_C__

// TODO: remove...
#include <KernelExport.h>

#include <acpi.h>

#include "pmtimer.h"

#define _COMPONENT          SYSTEM
        MODULE_NAME         ("pmtimer");






UINT32
PmTimerEventHandler(
    void    *Context)
{
    OsdPrintf("PmTimerEventHandler: Event Occurred\n");

    // TODO:

    return 0;
}




ACPI_STATUS
PmTimerInitialize (
    void)
{
    ACPI_STATUS Status = AE_OK;

    OsdPrintf("PmTimerInitialize: Begin\n");

    Status = AcpiInstallFixedEventHandler(EVENT_PMTIMER, &PmTimerEventHandler, NULL);

    OsdPrintf("PmTimerInitialize: End\n");

    return Status;
}



ACPI_STATUS
PmTimerTerminate (
    void)
{
    ACPI_STATUS Status = AE_OK;

    OsdPrintf("PmTimerTerminate: Begin\n");

    Status = AcpiRemoveFixedEventHandler(EVENT_PMTIMER, &PmTimerEventHandler);

    OsdPrintf("PmTimerTerminate: End\n");

    return Status;
}


